// FYLLADIO 1, ASKHSH 19, Version 2, FILIOI ARITHMOI, 2022-2023

#include <stdio.h>
#include <time.h>
#include <windows.h>
#include <conio.h>
#define LIMIT 10000

inline void setFontSize(int a, int b) 
{
    HANDLE hStdOut = GetStdHandle(STD_OUTPUT_HANDLE);
    PCONSOLE_FONT_INFOEX lpConsoleCurrentFontEx = new CONSOLE_FONT_INFOEX();
    lpConsoleCurrentFontEx->cbSize = sizeof(CONSOLE_FONT_INFOEX);
    GetCurrentConsoleFontEx(hStdOut, 0, lpConsoleCurrentFontEx);
    lpConsoleCurrentFontEx->dwFontSize.X = a;
    lpConsoleCurrentFontEx->dwFontSize.Y = b;
    SetCurrentConsoleFontEx(hStdOut, 0, lpConsoleCurrentFontEx);
}


int k,s1,m,j,n,s2;
clock_t start, end;
double execution_time;

int main()
{
	
	system("COLOR E0");
	setFontSize(30,30);
	
	start = clock();
	
	for (k=1;k<LIMIT;k++)
	{	s1=0;
		//diairetes toy k
		m=1;
		while (m<=k/2)
			{	if (k==k/m*m) s1+=m;
				m++;
			}
		if (s1>k)
		{
			j=s1;
			s2=0;
			// diairetes toy j
			n=1;
			while (n<=j/2)
			{	if (j==j/n*n) s2+=n;
				n++;
			}

			if ((s2==k) && (k!=j) ) printf("%4d   %4d\n",k,j);
		}
	}
	end = clock();
	execution_time = ((double)(end - start))/CLOCKS_PER_SEC;	
	
	printf("\n\n Time taken to execute in seconds : %f", execution_time);
	return 0;
}
